/*
 Theme Name:   Burley's Home Care
 Theme URI:    https://burleyshomecare.co.uk
 Description:  Burley's Home Care website custom functions and styles
 Author:       Magcical Design
 Author URI:   https://magicaldesign.co.uk
 Template:     generatepress
 Version:      0.1
*/

p {
    line-height: 1.2em;
}

.rainbow,
.main-navigation {
    background: rgb(180, 52, 85);
    background: linear-gradient(90deg, rgba(180, 52, 85, 1) 0%, rgba(202, 96, 72, 1) 16%, rgba(226, 141, 58, 1) 33%, rgba(232, 154, 53, 1) 50%, rgba(231, 152, 51, 1) 68%, rgba(170, 172, 87, 1) 85%, rgba(151, 180, 100, 1) 100%);
}

.rainbow-red {
    background: rgb(180, 52, 85);
    background: linear-gradient(90deg, rgba(180, 52, 85, 1) 0%, rgba(202, 96, 72, 1) 33%, rgba(226, 141, 58, 1) 66%, rgba(232, 154, 53, 1) 100%);
}

.rainbow-text {
    color: transparent;
    background-image: linear-gradient(to right, #b53555, #d07944, #e9c728);
    background-clip: text;
    -webkit-background-clip: text;
}

.rainbow-link a {
    color: transparent;
    background-image: linear-gradient(to right, #b53555, #e89b34);
    background-clip: text;
    -webkit-background-clip: text;
}

.opacity75 {
    opacity: 0.75;
}

.archive .avatar {
    display: none !important;
}

.sidebar .widget {
    background-color: #eef4fa !important;
    margin-bottom: 0 !important;
}
#right-sidebar {
    background-color: #eef4fa !important;
}
.inside-right-sidebar {
    background-color: #eef4fa !important;
}

/* Accessibility Button */

.mdp-readabler-trigger-button-box button {
    background: linear-gradient(0deg, rgba(180, 52, 85, 1) 0%, rgba(232, 154, 53, 1) 100%);
    padding: 13px;
    filter: brightness(1);
    transition: 0.2s ease-in-out all;
}
.mdp-readabler-trigger-button-box button:hover {
    background: linear-gradient(0deg, rgba(180, 52, 85, 1) 0%, rgba(232, 154, 53, 1) 100%);
    padding: 13px;
    filter: brightness(1.1);
    transition: 0.2s ease-in-out all;
}
.mdp-readabler-trigger-button-box button#mdp-readabler-trigger-button:focus {
    outline: 0;
    background: linear-gradient(0deg, rgba(180, 52, 85, 1) 0%, rgba(232, 154, 53, 1) 100%);
    padding: 13px;
    filter: brightness(1);
    transition: 0.2s ease-in-out all;
    box-shadow: 0 0 0 0px var(--readabler-btn-color-hover);
}

/* This aligns the logo to the left and awards to the right */
.inside-header {
    justify-content: space-between;
}

/* Add border between navigation items */
.main-navigation .main-nav > ul > li:not(:last-child) {
    position: relative;
}
.main-navigation .main-nav > ul > li:not(:last-child) > a:after {
    content: "|";
    position: absolute;
    display: block;
    right: 0;
    top: 0;
    opacity: 0.4;
}

/* Hide the search icon on sticky nav bar on devices over 1024px */
@media only screen and (min-width: 1025px) {
    #sticky-navigation > div > div.menu-bar-items {
        display: none;
    }
}

/* Fluent Forms */

.fluentform {
    font-size: 95%;
    letter-spacing: -0.5px !important;
}
.fluentform .ff-el-form-control {
    font-size: 90%;
    font-weight: 500;
    color: black !important;
}

.ff-default .ff-btn-lg {
    background: linear-gradient(90deg, rgba(180, 52, 85, 1) 0%, rgba(202, 96, 72, 1) 50%, rgba(226, 141, 58, 1) 100%);
    color: white;
    border: 0px !important;
    font-size: 19px !important;
    padding: 11px 24px !important;
    margin-top: 10px !important;
}
.fluentform .ff-el-group {
    margin-bottom: 10px !important;
}
/* Make contact form text black (even when not in focus) */
::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: #000 !important;
}

::-moz-placeholder {
    /* Firefox 19+ */
    color: #000 !important;
}

:-ms-input-placeholder {
    /* IE 10+ */
    color: #000 !important;
}

:-moz-placeholder {
    /* Firefox 18- */
    color: #000 !important;
}

/* Mega Menu */

#mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-1 .mega-toggle-label {
    color: #fff !important;
    font-size: 20px !important;
    font-weight: 500 !important;
}

#mega-menu-primary img {
    border-radius: 6px;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item {
    /* border-left: 2px solid rgba(255, 255, 255, 0.4) !important;*/
}

#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
    font-size: 19px;
    font-weight: 500 !important;
    letter-spacing: -0.5px;
}
@media only screen and (max-width: 1240px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 17.5px;
        line-height: 74px;
        height: 74px;
        padding: 0px 18px 0px 18px;
    }
}
@media only screen and (max-width: 1180px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 16px;
        line-height: 70px;
        height: 70px;
        padding: 0px 16px 0px 16px;
    }
}
@media only screen and (max-width: 1120px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 15px;
        line-height: 64px;
        height: 64px;
        padding: 0px 14px 0px 14px;
    }
}
/* Hide the search modal icon on screens above 1024px */
@media only screen and (min-width: 1025px) {
    #site-navigation > div > div.menu-bar-items {
        display: none;
    }
}

@media only screen and (max-width: 1024px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 16px;
        line-height: 60px;
        height: 60px;
        padding: 0px 12px 0px 12px;
    }
    .main-navigation .main-nav ul li a,
    .menu-toggle,
    .main-navigation .menu-bar-item > a {
        line-height: 60px;
    }
    .secondary-navigation .main-nav > ul {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        row-gap: 10px;
    }
}
@media only screen and (max-width: 768px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 15px;
        line-height: 40px;
        height: 40px;
        padding: 0px 12px 0px 12px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a.mega-menu-link,
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a.mega-menu-link {
        font-size: 14px;
    }
}

#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item {
    width: 100%;
}

/* Mega Menu page titles */
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link {
    color: #e78130;
    font-family: Lexend, sans-serif;
    font-size: 20px;
    text-transform: none;
    text-decoration: none;
    font-weight: 600;
    text-align: left;
    letter-spacing: -0.5px;
    line-height: 1.2em;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:hover,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:focus,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:hover,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:focus {
    color: #ff8a2c;
    font-weight: 600;
    letter-spacing: -0.5px;
    line-height: 1.2em;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item {
    line-height: 1.3em;
    font-size: 16px;
}
@media only screen and (max-width: 1024px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link,
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link {
        font-size: 18px;
        line-height: 1.2em;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item,
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item {
        line-height: 1.3em;
        font-size: 14px;
    }
}
/* End of Mega Menu */

/* Secondary Menu */

.secondary-navigation {
    background-color: var(--blue-3);
    border-top: 1px #ccddee solid;
    padding: 16px !important;
}

.secondary-navigation .main-nav ul li {
    border-radius: 8px;
    border: 1.5px solid #cde;
    background: #fff;
    box-shadow: 0px 1px 3px 0px #cde;
}

.secondary-navigation .main-nav ul li a {
    border-radius: 8px;
    padding: 10px;
}

.secondary-navigation .main-nav ul li {
    margin-left: 15px;
}
.secondary-navigation .main-nav ul li:first-of-type {
    margin-left: 0px;
}

.secondary-navigation .inside-navigation {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 40px;
}
.secondary-navigation .main-nav ul ul li a {
    font-size: 16px !important;
    padding-top: 5px;
    padding-bottom: 5px;
}

.orange {
    color: #e78130;
    font-weight: 600;
}

/* Secondary SUB Menu */
.secondary-navigation {
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.25);
    z-index: 9999;
    position: relative;
}
.secondary-navigation .main-nav ul .sub-menu {
    margin-top: 2px;
    box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.25);
}
.secondary-navigation .main-nav ul .sub-menu li {
    border-radius: 0px !important;
    border: 0px !important;
    background: #eef4fa !important;
    box-shadow: none !important;
    margin-left: 0px;
}
.secondary-navigation .main-nav ul .sub-menu li:hover {
    background: #ccddee !important;
    border-radius: 0px !important;
}
.secondary-navigation .main-nav ul .sub-menu li a:hover {
    border-radius: 0px !important;
}
.secondary-navigation .main-nav ul .sub-menu li a:hover {
    border-radius: 0px !important;
    background: #ccddee !important;
}
.secondary-navigation .inside-navigation {
    row-gap: 12px !important;
}
.secondary-navigation ul ul {
    background-color: #eef4fa !important;
    padding: 10px 2px !important;
}

/* Search */

input[type="search"] {
    border-radius: 50px;
    font-size: 90%;
    padding: 4px 15px !important;
    background: white;
    border: 0px !important;
}

:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
    border: 0px;
    box-sizing: border-box;
    padding: 4px;
    background: white;
    border-radius: 8px;
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.35);
}

#site-navigation > div > div.gb-container.gb-container-1ba086c4 > form > div > button {
    padding: 0px;
    border-radius: 50px;
    background-color: #fff;
    color: #e78130;
}

#sticky-navigation > div > div.gb-container.gb-container-1ba086c4 > form > div > button {
    padding: 0px;
    border-radius: 50px;
    background-color: #fff;
    color: #e78130;
}

.wp-block-search__button svg {
    fill: currentColor;
    vertical-align: text-bottom;
    height: 32px;
    width: 32px;
    transform: scale(-1, 1);
    transform-origin: center;
}

input[type="search"] {
    border-radius: 50px;
    font-size: 90%;
    padding: 5px 20px;
    background: white;
    border: 0px !important;
    width: 280px;
    max-width: 100%;
    color: black !important;
}

/* Make contact form text black (even when not in focus) */
::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: #222;
}

::-moz-placeholder {
    /* Firefox 19+ */
    color: #222;
}

:-ms-input-placeholder {
    /* IE 10+ */
    color: #222;
}

:-moz-placeholder {
    /* Firefox 18- */
    color: #222;
}

/* Animation */

@media (prefers-reduced-motion: no-preference) {
    .magical-fade-in {
        animation: magical-fade-in linear forwards;
        animation-timeline: view();
        animation-range: entry;
    }
    @keyframes magical-fade-in {
        0% {
            opacity: 0;
            transform: translateY(400px);
        }
        50% {
            opacity: 0;
        }
        100% {
            opacity: 1;
            transform: translateY(0px);
        }
    }
}

/* Animated Menu Items: Raise 2px when mouse hovers over a menu item */
.menu-item {
    transition: all 0.2s ease;
}
.menu-item:hover {
    transform: translate3d(0, -2px, 0);
}
.sub-menu .menu-item:hover {
    transform: translate3d(0, 0, 0);
}

.site-footer .no-ul {
    transition: all 0.2s ease;
}
.site-footer .no-ul:hover {
    transform: translate3d(2px, 0, 0);
}

.delay1 {
    -webkit-animation-delay: 0s;
    -moz-animation-delay: 0s;
    -ms-animation-delay: 0s;
    -o-animation-delay: 0s;
    animation-delay: 0s;
}

.delay2 {
    -webkit-animation-delay: 0.3s;
    -moz-animation-delay: 0.3s;
    -ms-animation-delay: 0.3s;
    -o-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.delay3 {
    -webkit-animation-delay: 0.6s;
    -moz-animation-delay: 0.6s;
    -ms-animation-delay: 0.6s;
    -o-animation-delay: 0.6s;
    animation-delay: 0.6s;
}

.delay4 {
    -webkit-animation-delay: 0.9s;
    -moz-animation-delay: 0.9s;
    -ms-animation-delay: 0.9s;
    -o-animation-delay: 0.9s;
    animation-delay: 0.9s;
}

.delay5 {
    -webkit-animation-delay: 1.2s;
    -moz-animation-delay: 1.2s;
    -ms-animation-delay: 1.2s;
    -o-animation-delay: 1.2s;
    animation-delay: 1.2s;
}

.delay6 {
    -webkit-animation-delay: 1.5s;
    -moz-animation-delay: 1.5s;
    -ms-animation-delay: 1.5s;
    -o-animation-delay: 1.5s;
    animation-delay: 1.5s;
}

/* Image Ratios */
.ar-16-9 {
    aspect-ratio: 16/9;
}
.ar-9-16 {
    aspect-ratio: 9/16;
}
.ar-4-3 {
    aspect-ratio: 4/3;
}
.ar-3-2 {
    aspect-ratio: 3/2;
}
.ar-2-3 {
    aspect-ratio: 2/3;
}
.ar-1-1 {
    aspect-ratio: 1/1;
}

/* No Underline */
.no-ul,
.no-ul a {
    text-decoration: none !important;
}

/* No word wrap in submenus */
.main-navigation ul ul {
    width: auto;
    min-width: 200px;
    white-space: nowrap;
}
/* No word wrap in submenus */
.secondary-navigation ul {
    width: auto !important;
    min-width: 200px;
    white-space: nowrap;
}

/* Remove bottom margin on last paragraph */
.gb-container p:last-child:last-of-type {
    margin-bottom: 0px;
}
.block-editor-block-list__layout .gb-container p:nth-last-child(2) {
    margin-bottom: 0px;
}

@media only screen and (max-width: 1280px) {
    .site-header .header-image {
        width: 380px;
    }
    .inside-header {
        padding: 60px 30px 60px 30px;
    }
}

@media only screen and (max-width: 1240px) {
    .secondary-navigation .inside-navigation {
        flex-direction: column;
    }
}

@media only screen and (max-width: 1200px) {
    .site-header .header-image {
        width: 280px;
    }
    .inside-header {
        padding: 50px 30px 50px 30px;
    }
    .award {
        height: 80px !important;
    }
}

@media only screen and (max-width: 960px) {
    .site-header .header-image {
        width: 240px;
    }
    .inside-header {
        padding: 40px 30px 40px 30px;
    }
    .award {
        height: 60px !important;
    }
}

@media (max-width: 768px) {
    .secondary-menu .sub-menu a {
        border-radius: 0px !important;
        border: 0px !important;
        background: #eef4fa !important;
        box-shadow: none !important;
        margin-left: 0px;
        margin-bottom: 0 !important;
    }
    .secondary-navigation .main-nav ul .sub-menu li:first-of-type {
        margin-top: 0px !important;
    }
    .secondary-navigation.toggled .main-nav {
        width: 100%;
    }
    .secondary-navigation .main-nav ul li:first-of-type {
        margin-left: 0px;
        margin-top: 20px !important;
    }
    .secondary-menu-toggle {
        display: block !important;
    }
    .secondary-navigation .inside-navigation {
        row-gap: 0px !important;
    }
    .secondary-navigation .main-nav ul li {
        border-radius: 0px !important;
        border: 0px solid #cde !important;
        background: #eef4fa !important;
        box-shadow: none !important;
        margin: 0px !important;
    }
    .secondary-nav-below-header .secondary-navigation .inside-navigation.grid-container,
    .secondary-nav-above-header .secondary-navigation .inside-navigation.grid-container {
        padding: 0px !important;
    }
    .sub-menu li {
        margin-top: 0px !important;
    }
    .sub-menu li:first-of-type {
        margin-top: 0px !important;
    }
    #menu-item-11475 {
        margin-top: 0 !important;
    }
    #menu-secondary-menu a {
        font-size: 15px !important;
        font-size: 15px !important;
        background: white;
        margin-bottom: 10px;
    }
    .secondary-navigation ul ul {
        padding: 0px !important;
    }
    .main-navigation .main-nav {
        max-height: 0;
        overflow: hidden;
        transition: max-height 500ms ease-out;
    }
    .main-navigation.toggled .main-nav {
        max-height: 1000px;
        transition: max-height 500ms ease-in;
    }
    /* Awards graphic on mobile */
    .inside-header {
        flex-direction: row;
        text-align: center;
        column-gap: 15px;
        row-gap: 10px;
    }
    .gb-container-365aea81 {
        max-width: 90px;
        margin-top: 0px;
        margin: 0 !important;
    }
    .inside-header {
        padding: 24px;
    }
    .main-navigation .inside-navigation {
        flex-direction: row-reverse;
    }
}

@media only screen and (max-width: 360px) {
    .gb-container-365aea81 {
        max-width: 75px;
        margin-top: 0px;
        margin: 0 !important;
    }
}

@media only screen and (max-width: 320px) {
    .gb-container-365aea81 {
        max-width: 60px;
        margin-top: 0px;
        margin: 0 !important;
    }
}

@media only screen and (max-width: 280px) {
    .gb-container-365aea81 {
        max-width: 40px;
        margin-top: 0px;
        margin: 0 !important;
    }
}

/* Max Widths */
.max-width-1024 {
    max-width: 1024px;
}
.max-width-768 {
    max-width: 768px;
}
.max-width-640 {
    max-width: 640px;
}
.max-width-480 {
    max-width: 480px;
}

/* Margin Auto */
.margin-auto {
    margin-left: auto;
    margin-right: auto;
}

/* Position Properties */
.relative {
    position: relative;
}
.absolute {
    position: absolute;
    top: 0px;
    left: 0px;
}
.sticky {
    position: sticky;
    top: 24px;
}

/* Visually Hidden */
.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
